curl --request POST \
--url https://metadata.sequence.app/rpc/Collections/UpdateToken \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": 30957,
"collectionId": 888,
"tokenId": "200",
"private": false,
"token": {
"tokenId": "201",
"name": "Eclipse Dragon",
"description": "Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?",
"properties": {
"element": "Shadow and Starlight",
"rarity": "Legendary",
"alignment": "Celestial",
"age": "Ancient",
"size": "Massive",
"breath_power": "Time Distortion",
"temperament": "Mysterious",
"constellations_on_scales": 42,
"last_seen": "During the Last Solar Eclipse"
}
}
}
'
import requests
url = "https://metadata.sequence.app/rpc/Collections/UpdateToken"
payload = {
"projectId": 30957,
"collectionId": 888,
"tokenId": "200",
"private": False,
"token": {
"tokenId": "201",
"name": "Eclipse Dragon",
"description": "Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?",
"properties": {
"element": "Shadow and Starlight",
"rarity": "Legendary",
"alignment": "Celestial",
"age": "Ancient",
"size": "Massive",
"breath_power": "Time Distortion",
"temperament": "Mysterious",
"constellations_on_scales": 42,
"last_seen": "During the Last Solar Eclipse"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 30957,
collectionId: 888,
tokenId: '200',
private: false,
token: {
tokenId: '201',
name: 'Eclipse Dragon',
description: 'Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?',
properties: {
element: 'Shadow and Starlight',
rarity: 'Legendary',
alignment: 'Celestial',
age: 'Ancient',
size: 'Massive',
breath_power: 'Time Distortion',
temperament: 'Mysterious',
constellations_on_scales: 42,
last_seen: 'During the Last Solar Eclipse'
}
}
})
};
fetch('https://metadata.sequence.app/rpc/Collections/UpdateToken', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://metadata.sequence.app/rpc/Collections/UpdateToken",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 30957,
'collectionId' => 888,
'tokenId' => '200',
'private' => false,
'token' => [
'tokenId' => '201',
'name' => 'Eclipse Dragon',
'description' => 'Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?',
'properties' => [
'element' => 'Shadow and Starlight',
'rarity' => 'Legendary',
'alignment' => 'Celestial',
'age' => 'Ancient',
'size' => 'Massive',
'breath_power' => 'Time Distortion',
'temperament' => 'Mysterious',
'constellations_on_scales' => 42,
'last_seen' => 'During the Last Solar Eclipse'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://metadata.sequence.app/rpc/Collections/UpdateToken"
payload := strings.NewReader("{\n \"projectId\": 30957,\n \"collectionId\": 888,\n \"tokenId\": \"200\",\n \"private\": false,\n \"token\": {\n \"tokenId\": \"201\",\n \"name\": \"Eclipse Dragon\",\n \"description\": \"Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?\",\n \"properties\": {\n \"element\": \"Shadow and Starlight\",\n \"rarity\": \"Legendary\",\n \"alignment\": \"Celestial\",\n \"age\": \"Ancient\",\n \"size\": \"Massive\",\n \"breath_power\": \"Time Distortion\",\n \"temperament\": \"Mysterious\",\n \"constellations_on_scales\": 42,\n \"last_seen\": \"During the Last Solar Eclipse\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://metadata.sequence.app/rpc/Collections/UpdateToken")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": 30957,\n \"collectionId\": 888,\n \"tokenId\": \"200\",\n \"private\": false,\n \"token\": {\n \"tokenId\": \"201\",\n \"name\": \"Eclipse Dragon\",\n \"description\": \"Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?\",\n \"properties\": {\n \"element\": \"Shadow and Starlight\",\n \"rarity\": \"Legendary\",\n \"alignment\": \"Celestial\",\n \"age\": \"Ancient\",\n \"size\": \"Massive\",\n \"breath_power\": \"Time Distortion\",\n \"temperament\": \"Mysterious\",\n \"constellations_on_scales\": 42,\n \"last_seen\": \"During the Last Solar Eclipse\"\n }\n }\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://metadata.sequence.app/rpc/Collections/UpdateToken")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": 30957,\n \"collectionId\": 888,\n \"tokenId\": \"200\",\n \"private\": false,\n \"token\": {\n \"tokenId\": \"201\",\n \"name\": \"Eclipse Dragon\",\n \"description\": \"Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?\",\n \"properties\": {\n \"element\": \"Shadow and Starlight\",\n \"rarity\": \"Legendary\",\n \"alignment\": \"Celestial\",\n \"age\": \"Ancient\",\n \"size\": \"Massive\",\n \"breath_power\": \"Time Distortion\",\n \"temperament\": \"Mysterious\",\n \"constellations_on_scales\": 42,\n \"last_seen\": \"During the Last Solar Eclipse\"\n }\n }\n}"
response = http.request(request)
puts response.read_body
{
"token": {
"tokenId": "201",
"name": "Eclipse Dragon",
"description": "Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?",
"image": "",
"properties": {
"age": "Ancient",
"alignment": "Celestial",
"breath_power": "Time Distortion",
"constellations_on_scales": 42,
"element": "Shadow and Starlight",
"last_seen": "During the Last Solar Eclipse",
"rarity": "Legendary",
"size": "Massive",
"temperament": "Mysterious"
},
"attributes": null,
"updatedAt": "0001-01-01T00:00:00Z"
}
}
curl --request POST \
--url https://metadata.sequence.app/rpc/Collections/UpdateToken \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": 30957,
"collectionId": 888,
"tokenId": "200",
"private": false,
"token": {
"tokenId": "201",
"name": "Eclipse Dragon",
"description": "Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?",
"properties": {
"element": "Shadow and Starlight",
"rarity": "Legendary",
"alignment": "Celestial",
"age": "Ancient",
"size": "Massive",
"breath_power": "Time Distortion",
"temperament": "Mysterious",
"constellations_on_scales": 42,
"last_seen": "During the Last Solar Eclipse"
}
}
}
'
import requests
url = "https://metadata.sequence.app/rpc/Collections/UpdateToken"
payload = {
"projectId": 30957,
"collectionId": 888,
"tokenId": "200",
"private": False,
"token": {
"tokenId": "201",
"name": "Eclipse Dragon",
"description": "Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?",
"properties": {
"element": "Shadow and Starlight",
"rarity": "Legendary",
"alignment": "Celestial",
"age": "Ancient",
"size": "Massive",
"breath_power": "Time Distortion",
"temperament": "Mysterious",
"constellations_on_scales": 42,
"last_seen": "During the Last Solar Eclipse"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 30957,
collectionId: 888,
tokenId: '200',
private: false,
token: {
tokenId: '201',
name: 'Eclipse Dragon',
description: 'Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?',
properties: {
element: 'Shadow and Starlight',
rarity: 'Legendary',
alignment: 'Celestial',
age: 'Ancient',
size: 'Massive',
breath_power: 'Time Distortion',
temperament: 'Mysterious',
constellations_on_scales: 42,
last_seen: 'During the Last Solar Eclipse'
}
}
})
};
fetch('https://metadata.sequence.app/rpc/Collections/UpdateToken', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://metadata.sequence.app/rpc/Collections/UpdateToken",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 30957,
'collectionId' => 888,
'tokenId' => '200',
'private' => false,
'token' => [
'tokenId' => '201',
'name' => 'Eclipse Dragon',
'description' => 'Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?',
'properties' => [
'element' => 'Shadow and Starlight',
'rarity' => 'Legendary',
'alignment' => 'Celestial',
'age' => 'Ancient',
'size' => 'Massive',
'breath_power' => 'Time Distortion',
'temperament' => 'Mysterious',
'constellations_on_scales' => 42,
'last_seen' => 'During the Last Solar Eclipse'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://metadata.sequence.app/rpc/Collections/UpdateToken"
payload := strings.NewReader("{\n \"projectId\": 30957,\n \"collectionId\": 888,\n \"tokenId\": \"200\",\n \"private\": false,\n \"token\": {\n \"tokenId\": \"201\",\n \"name\": \"Eclipse Dragon\",\n \"description\": \"Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?\",\n \"properties\": {\n \"element\": \"Shadow and Starlight\",\n \"rarity\": \"Legendary\",\n \"alignment\": \"Celestial\",\n \"age\": \"Ancient\",\n \"size\": \"Massive\",\n \"breath_power\": \"Time Distortion\",\n \"temperament\": \"Mysterious\",\n \"constellations_on_scales\": 42,\n \"last_seen\": \"During the Last Solar Eclipse\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://metadata.sequence.app/rpc/Collections/UpdateToken")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": 30957,\n \"collectionId\": 888,\n \"tokenId\": \"200\",\n \"private\": false,\n \"token\": {\n \"tokenId\": \"201\",\n \"name\": \"Eclipse Dragon\",\n \"description\": \"Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?\",\n \"properties\": {\n \"element\": \"Shadow and Starlight\",\n \"rarity\": \"Legendary\",\n \"alignment\": \"Celestial\",\n \"age\": \"Ancient\",\n \"size\": \"Massive\",\n \"breath_power\": \"Time Distortion\",\n \"temperament\": \"Mysterious\",\n \"constellations_on_scales\": 42,\n \"last_seen\": \"During the Last Solar Eclipse\"\n }\n }\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://metadata.sequence.app/rpc/Collections/UpdateToken")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": 30957,\n \"collectionId\": 888,\n \"tokenId\": \"200\",\n \"private\": false,\n \"token\": {\n \"tokenId\": \"201\",\n \"name\": \"Eclipse Dragon\",\n \"description\": \"Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?\",\n \"properties\": {\n \"element\": \"Shadow and Starlight\",\n \"rarity\": \"Legendary\",\n \"alignment\": \"Celestial\",\n \"age\": \"Ancient\",\n \"size\": \"Massive\",\n \"breath_power\": \"Time Distortion\",\n \"temperament\": \"Mysterious\",\n \"constellations_on_scales\": 42,\n \"last_seen\": \"During the Last Solar Eclipse\"\n }\n }\n}"
response = http.request(request)
puts response.read_body
{
"token": {
"tokenId": "201",
"name": "Eclipse Dragon",
"description": "Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?",
"image": "",
"properties": {
"age": "Ancient",
"alignment": "Celestial",
"breath_power": "Time Distortion",
"constellations_on_scales": 42,
"element": "Shadow and Starlight",
"last_seen": "During the Last Solar Eclipse",
"rarity": "Legendary",
"size": "Massive",
"temperament": "Mysterious"
},
"attributes": null,
"updatedAt": "0001-01-01T00:00:00Z"
}
}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Sequence Docs","colors":{"primary":"#111111","light":"#B1A9FF","dark":"#111111"},"logo":{"light":"https://mintcdn.com/frenglish/jco-kCqEz4S4wsae/logo/sequence-composite-light.svg?fit=max\u0026auto=format\u0026n=jco-kCqEz4S4wsae\u0026q=85\u0026s=3d9f9a9752e8c8dda0d19bb1d835d80d","dark":"https://mintcdn.com/frenglish/jco-kCqEz4S4wsae/logo/sequence-composite-dark.svg?fit=max\u0026auto=format\u0026n=jco-kCqEz4S4wsae\u0026q=85\u0026s=c0fee4c8be0f336d770ef06b95c7a443"},"favicon":"/favicon.png","appearance":{"default":"dark","strict":true},"background":{"decoration":"gradient"},"navbar":{"primary":{"type":"button","label":"Sign In","href":"https://sequence.build"}},"footer":{"socials":{"x":"https://twitter.com/0xsequence","github":"https://github.com/0xsequence","discord":"https://discord.gg/sequence"}},"fonts":{"heading":{"family":"Inter"},"body":{"family":"Inter"}},"contextual":{"options":["copy","view","chatgpt","claude"]},"navigation":{"global":{"anchors":[{"anchor":"Interactive Demo","icon":"wrench","href":"https://blueprints.sequence-demos.xyz/"},{"anchor":"Supported Chains","icon":"heart-pulse","href":"https://status.sequence.info/"},{"anchor":"Changelog","icon":"map","href":"https://0xsequence.featurebase.app/changelog"}]},"languages":[{"language":"en","href":"home"},{"language":"ja","href":"ja/home"},{"language":"es","href":"es/home"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"frenglish","hasAudioNarration":false,"actualSubdomain":"frenglish","customDomains":[],"gitSource":{"type":"github","owner":"viv-cheung","repo":"sequence_docs","deployBranch":"frenglish-translation","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae927cc55210c1811414922:success","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"en","tag":"APIs","count":182},{"language":"ja","tag":"API","count":181},{"language":"en","tag":"Endpoints","count":148},{"language":"ja","tag":"エンドポイント","count":147},{"language":"en","tag":"SDKs","count":118},{"language":"es","tag":"SDKs","count":118},{"language":"ja","tag":"SDK","count":118},{"language":"en","tag":"secret","count":70},{"language":"ja","tag":"シークレット","count":70},{"language":"en","tag":"Game Engine SDKs","count":54},{"language":"es","tag":"SDKs para Motores de Juego","count":54},{"language":"ja","tag":"ゲームエンジンSDK","count":54},{"language":"en","tag":"Solutions","count":52},{"language":"es","tag":"Soluciones","count":51},{"language":"ja","tag":"ソリューション","count":51},{"language":"en","tag":"Web SDK","count":50},{"language":"es","tag":"SDK Web","count":50},{"language":"ja","tag":"Web SDK","count":50},{"language":"en","tag":"Analytics","count":46},{"language":"ja","tag":"アナリティクス","count":46},{"language":"en","tag":"Metadata","count":44},{"language":"ja","tag":"メタデータ","count":44},{"language":"en","tag":"Unity","count":41},{"language":"es","tag":"Unity","count":41},{"language":"ja","tag":"Unity","count":41},{"language":"es","tag":"Hooks","count":37},{"language":"es","tag":"Incorporación","count":27},{"language":"es","tag":"Guías","count":26},{"language":"es","tag":"Funcionalidades","count":26},{"language":"es","tag":"Resources","count":20}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".bg-matrix-dark{background:linear-gradient(0deg, rgba(13, 13, 15, 1) 0%, rgba(13, 13, 15, 0.95) 5%, rgba(13, 13, 15, 0.8) 15%, rgba(17, 17, 17, 0.1) 30%, rgba(17, 17, 17, 0.1) 70%, rgba(13, 13, 15, 0.8) 85%, rgba(13, 13, 15, 0.95) 95%, rgba(13, 13, 15, 1) 100%),\n linear-gradient(\n 90deg,\n transparent 0%,\n rgba(17, 17, 17, 0.6) 40%,\n rgba(17, 17, 17, 0.6) 60%,\n transparent 100%\n ), url(https://pub-f048362b915448c9b012a2e03c189024.r2.dev/matrix-bg-dark.svg);background-size:cover;background-position:center center}img[alt=\"US\"]{display:none!important}div.relative.w-4.h-4.rounded-full:has(img[alt=\"US\"]){display:none!important}.bg-matrix-light{background:linear-gradient(\n 0deg,\n #f0f0f0 0%,\n rgba(240, 240, 240, 0.6) 30%,\n rgba(240, 240, 240, 0.6) 70%,\n #f0f0f0 100%\n ),\n linear-gradient(\n 90deg,\n transparent 0%,\n rgba(240, 240, 240, 0.6) 40%,\n rgba(240, 240, 240, 0.6) 60%,\n transparent 100%\n ), url(https://pub-f048362b915448c9b012a2e03c189024.r2.dev/matrix-bg-light.svg);background-size:cover;background-position:center center}.bg-gradient-dark{background:linear-gradient(\n 90deg,\n rgba(17, 17, 17, 0) 0%,\n rgba(17, 17, 17, 0.75) 50%,\n rgba(17, 17, 17, 0) 100%\n ),\n linear-gradient(180deg, #111 0%, rgba(17, 17, 17, 0) 40%, rgba(17, 17, 17, 0) 60%, #111 100%),\n linear-gradient(270deg, rgba(11, 106, 249, 0.25) 0%, rgba(29, 146, 255, 0.3) 100%)}.bg-gradient-light{background:linear-gradient(180deg, #f0f0f0 0%, rgba(255, 255, 255, 0) 49.83%, #f0f0f0 100%),\n linear-gradient(\n 90deg,\n #d2e4ff 0%,\n rgba(210, 228, 255, 0.5) 25.3%,\n rgba(255, 255, 255, 0) 49.83%,\n rgba(210, 228, 255, 0.5) 75.47%,\n #d2e4ff 100%\n )}"}],"page":{"pagePath":"api-references/metadata/endpoints/secret/update-token","slug":"/api-references/metadata/endpoints/secret/update-token","pageMetadata":{"title":"UpdateToken","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/UpdateToken","description":null,"href":"/api-references/metadata/endpoints/secret/update-token"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"UpdateToken","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/UpdateToken","description":null,"href":"/api-references/metadata/endpoints/secret/update-token"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/frenglish/5928f07079c865a1/scripts/update_security_schemas.js","/_mintlify/custom/frenglish/c67a34dca3bb4682/snippets/databeat-tracker.js","/_mintlify/custom/frenglish/0281ffbe15eb5584/snippets/dist/databeat-tracker.umd.js","/_mintlify/custom/frenglish/dfa94ae2469b3e93/.github/scripts/fetch-frenglish-configuration.js","/_mintlify/custom/frenglish/e1a7512e5ad7bb7f/.github/scripts/format-locales.js","/_mintlify/custom/frenglish/6a222aac2b02a720/.github/scripts/translate.js"],"openApiReferenceData":{"operation":{"summary":"UpdateToken","requestBody":"d0f29054-06d7-4701-9fba-0cd70d7800fa","responses":{"200":"06bcc461-b1d2-4c70-92cd-8a9db006746a","4XX":"175b7b23-a1ec-4eed-8257-d9ffc50a8679","5XX":"5218811f-da9c-430d-b73c-7ce4296d16bd"},"tags":["secret"],"security":["f64b7e4b-705e-4113-8047-ddf1c9f4e7a6"],"method":"post","type":"path","servers":["4cb4e3d7-54db-4944-a08a-7c558cb23a53"],"path":"/rpc/Collections/UpdateToken","baseUrlOptions":["https://metadata.sequence.app/"],"title":"UpdateToken","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"number","uniqueKey":"projectId","typeLabel":"number"},"collectionId":{"type":"number","uniqueKey":"collectionId","typeLabel":"number"},"tokenId":{"type":"string","uniqueKey":"tokenId","typeLabel":"string"},"token":{"type":"object","required":["tokenId","name","attributes","status"],"properties":{"tokenId":{"type":"string","isRequired":true,"uniqueKey":"token.tokenId","typeLabel":"string"},"name":{"type":"string","isRequired":true,"uniqueKey":"token.name","typeLabel":"string"},"attributes":{"type":"array","description":"[]map\u003cstring,any>","items":{"type":"object","description":"map\u003cstring,any>","additionalProperties":{"type":"object","uniqueKey":"token.attributes.items.[INDEX].additionalProperties","typeLabel":"object"},"uniqueKey":"token.attributes.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"token.attributes","typeLabel":"object[]"},"status":{"type":"string","description":"Represented as uint32 on the server side","enum":["NOT_AVAILABLE","STALE","AVAILABLE"],"isRequired":true,"uniqueKey":"token.status","typeLabel":"enum\u003cstring>"},"description":{"type":"string","uniqueKey":"token.description","typeLabel":"string"},"image":{"type":"string","uniqueKey":"token.image","typeLabel":"string"},"video":{"type":"string","uniqueKey":"token.video","typeLabel":"string"},"audio":{"type":"string","uniqueKey":"token.audio","typeLabel":"string"},"properties":{"type":"object","description":"map\u003cstring,any>","additionalProperties":{"type":"object","uniqueKey":"token.properties.additionalProperties","typeLabel":"object"},"uniqueKey":"token.properties","typeLabel":"object"},"imageData":{"type":"string","uniqueKey":"token.imageData","typeLabel":"string"},"externalUrl":{"type":"string","uniqueKey":"token.externalUrl","typeLabel":"string"},"backgroundColor":{"type":"string","uniqueKey":"token.backgroundColor","typeLabel":"string"},"animationUrl":{"type":"string","uniqueKey":"token.animationUrl","typeLabel":"string"},"decimals":{"type":"number","uniqueKey":"token.decimals","typeLabel":"number"},"updatedAt":{"type":"string","uniqueKey":"token.updatedAt","typeLabel":"string"},"assets":{"type":"array","description":"[]Asset","items":{"type":"object","required":["id","collectionId","metadataField"],"properties":{"id":{"type":"number","isRequired":true,"uniqueKey":"token.assets.items.[INDEX].id","typeLabel":"number"},"collectionId":{"type":"number","isRequired":true,"uniqueKey":"token.assets.items.[INDEX].collectionId","typeLabel":"number"},"metadataField":{"type":"string","isRequired":true,"uniqueKey":"token.assets.items.[INDEX].metadataField","typeLabel":"string"},"tokenId":{"type":"string","uniqueKey":"token.assets.items.[INDEX].tokenId","typeLabel":"string"},"url":{"type":"string","uniqueKey":"token.assets.items.[INDEX].url","typeLabel":"string"},"filename":{"type":"string","uniqueKey":"token.assets.items.[INDEX].filename","typeLabel":"string"},"filesize":{"type":"number","uniqueKey":"token.assets.items.[INDEX].filesize","typeLabel":"number"},"mimeType":{"type":"string","uniqueKey":"token.assets.items.[INDEX].mimeType","typeLabel":"string"},"width":{"type":"number","uniqueKey":"token.assets.items.[INDEX].width","typeLabel":"number"},"height":{"type":"number","uniqueKey":"token.assets.items.[INDEX].height","typeLabel":"number"},"updatedAt":{"type":"string","uniqueKey":"token.assets.items.[INDEX].updatedAt","typeLabel":"string"}},"uniqueKey":"token.assets.items.[INDEX]","typeLabel":"object"},"uniqueKey":"token.assets","typeLabel":"object[]"},"queuedAt":{"type":"string","uniqueKey":"token.queuedAt","typeLabel":"string"},"lastFetched":{"type":"string","uniqueKey":"token.lastFetched","typeLabel":"string"}},"uniqueKey":"token","typeLabel":"object"},"private":{"type":"boolean","uniqueKey":"private","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"0":{"title":"0","value":{"projectId":30957,"collectionId":888,"tokenId":"200","private":false,"token":{"tokenId":"201","name":"Eclipse Dragon","description":"Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?","properties":{"element":"Shadow and Starlight","rarity":"Legendary","alignment":"Celestial","age":"Ancient","size":"Massive","breath_power":"Time Distortion","temperament":"Mysterious","constellations_on_scales":42,"last_seen":"During the Last Solar Eclipse"}}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"06bcc461-b1d2-4c70-92cd-8a9db006746a":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"object","required":["tokenId","name","attributes","status"],"properties":{"tokenId":{"type":"string","isRequired":true,"uniqueKey":"token.tokenId","typeLabel":"string"},"name":{"type":"string","isRequired":true,"uniqueKey":"token.name","typeLabel":"string"},"attributes":{"type":"array","description":"[]map\u003cstring,any>","items":{"type":"object","description":"map\u003cstring,any>","additionalProperties":{"type":"object","uniqueKey":"token.attributes.items.[INDEX].additionalProperties","typeLabel":"object"},"uniqueKey":"token.attributes.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"token.attributes","typeLabel":"object[]"},"status":{"type":"string","description":"Represented as uint32 on the server side","enum":["NOT_AVAILABLE","STALE","AVAILABLE"],"isRequired":true,"uniqueKey":"token.status","typeLabel":"enum\u003cstring>"},"description":{"type":"string","uniqueKey":"token.description","typeLabel":"string"},"image":{"type":"string","uniqueKey":"token.image","typeLabel":"string"},"video":{"type":"string","uniqueKey":"token.video","typeLabel":"string"},"audio":{"type":"string","uniqueKey":"token.audio","typeLabel":"string"},"properties":{"type":"object","description":"map\u003cstring,any>","additionalProperties":{"type":"object","uniqueKey":"token.properties.additionalProperties","typeLabel":"object"},"uniqueKey":"token.properties","typeLabel":"object"},"imageData":{"type":"string","uniqueKey":"token.imageData","typeLabel":"string"},"externalUrl":{"type":"string","uniqueKey":"token.externalUrl","typeLabel":"string"},"backgroundColor":{"type":"string","uniqueKey":"token.backgroundColor","typeLabel":"string"},"animationUrl":{"type":"string","uniqueKey":"token.animationUrl","typeLabel":"string"},"decimals":{"type":"number","uniqueKey":"token.decimals","typeLabel":"number"},"updatedAt":{"type":"string","uniqueKey":"token.updatedAt","typeLabel":"string"},"assets":{"type":"array","description":"[]Asset","items":{"type":"object","required":["id","collectionId","metadataField"],"properties":{"id":{"type":"number","isRequired":true,"uniqueKey":"token.assets.items.[INDEX].id","typeLabel":"number"},"collectionId":{"type":"number","isRequired":true,"uniqueKey":"token.assets.items.[INDEX].collectionId","typeLabel":"number"},"metadataField":{"type":"string","isRequired":true,"uniqueKey":"token.assets.items.[INDEX].metadataField","typeLabel":"string"},"tokenId":{"type":"string","uniqueKey":"token.assets.items.[INDEX].tokenId","typeLabel":"string"},"url":{"type":"string","uniqueKey":"token.assets.items.[INDEX].url","typeLabel":"string"},"filename":{"type":"string","uniqueKey":"token.assets.items.[INDEX].filename","typeLabel":"string"},"filesize":{"type":"number","uniqueKey":"token.assets.items.[INDEX].filesize","typeLabel":"number"},"mimeType":{"type":"string","uniqueKey":"token.assets.items.[INDEX].mimeType","typeLabel":"string"},"width":{"type":"number","uniqueKey":"token.assets.items.[INDEX].width","typeLabel":"number"},"height":{"type":"number","uniqueKey":"token.assets.items.[INDEX].height","typeLabel":"number"},"updatedAt":{"type":"string","uniqueKey":"token.assets.items.[INDEX].updatedAt","typeLabel":"string"}},"uniqueKey":"token.assets.items.[INDEX]","typeLabel":"object"},"uniqueKey":"token.assets","typeLabel":"object[]"},"queuedAt":{"type":"string","uniqueKey":"token.queuedAt","typeLabel":"string"},"lastFetched":{"type":"string","uniqueKey":"token.lastFetched","typeLabel":"string"}},"uniqueKey":"token","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"0":{"title":"0","value":{"token":{"tokenId":"201","name":"Eclipse Dragon","description":"Forged from starlight and shadows, the Eclipse Dragon emerges only during celestial alignments. Its obsidian scales shimmer with constellations, and its breath holds the power to bend time and space. Legends say that those who possess its essence gain unparalleled wisdom—though at the cost of fleeting moments lost to the void. Will you dare wield its mystic force?","image":"","properties":{"age":"Ancient","alignment":"Celestial","breath_power":"Time Distortion","constellations_on_scales":42,"element":"Shadow and Starlight","last_seen":"During the Last Solar Eclipse","rarity":"Legendary","size":"Massive","temperament":"Mysterious"},"attributes":null,"updatedAt":"0001-01-01T00:00:00Z"}}}},"exampleType":"examples"}},"exampleType":"examples"},"175b7b23-a1ec-4eed-8257-d9ffc50a8679":{"description":"Client error","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcEndpoint","isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"string"},"code":{"type":"number","example":0,"isRequired":true,"uniqueKey":"oneOf.0.code","typeLabel":"number"},"msg":{"type":"string","example":"endpoint error","isRequired":true,"uniqueKey":"oneOf.0.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.0.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.0.cause","typeLabel":"string"}},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcRequestFailed","isRequired":true,"uniqueKey":"oneOf.1.error","typeLabel":"string"},"code":{"type":"number","example":-1,"isRequired":true,"uniqueKey":"oneOf.1.code","typeLabel":"number"},"msg":{"type":"string","example":"request failed","isRequired":true,"uniqueKey":"oneOf.1.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.1.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.1.cause","typeLabel":"string"}},"uniqueKey":"oneOf.1","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcBadRoute","isRequired":true,"uniqueKey":"oneOf.2.error","typeLabel":"string"},"code":{"type":"number","example":-2,"isRequired":true,"uniqueKey":"oneOf.2.code","typeLabel":"number"},"msg":{"type":"string","example":"bad route","isRequired":true,"uniqueKey":"oneOf.2.msg","typeLabel":"string"},"status":{"type":"number","example":404,"isRequired":true,"uniqueKey":"oneOf.2.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.2.cause","typeLabel":"string"}},"uniqueKey":"oneOf.2","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcBadMethod","isRequired":true,"uniqueKey":"oneOf.3.error","typeLabel":"string"},"code":{"type":"number","example":-3,"isRequired":true,"uniqueKey":"oneOf.3.code","typeLabel":"number"},"msg":{"type":"string","example":"bad method","isRequired":true,"uniqueKey":"oneOf.3.msg","typeLabel":"string"},"status":{"type":"number","example":405,"isRequired":true,"uniqueKey":"oneOf.3.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.3.cause","typeLabel":"string"}},"uniqueKey":"oneOf.3","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcBadRequest","isRequired":true,"uniqueKey":"oneOf.4.error","typeLabel":"string"},"code":{"type":"number","example":-4,"isRequired":true,"uniqueKey":"oneOf.4.code","typeLabel":"number"},"msg":{"type":"string","example":"bad request","isRequired":true,"uniqueKey":"oneOf.4.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.4.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.4.cause","typeLabel":"string"}},"uniqueKey":"oneOf.4","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcClientDisconnected","isRequired":true,"uniqueKey":"oneOf.5.error","typeLabel":"string"},"code":{"type":"number","example":-8,"isRequired":true,"uniqueKey":"oneOf.5.code","typeLabel":"number"},"msg":{"type":"string","example":"client disconnected","isRequired":true,"uniqueKey":"oneOf.5.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.5.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.5.cause","typeLabel":"string"}},"uniqueKey":"oneOf.5","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcStreamLost","isRequired":true,"uniqueKey":"oneOf.6.error","typeLabel":"string"},"code":{"type":"number","example":-9,"isRequired":true,"uniqueKey":"oneOf.6.code","typeLabel":"number"},"msg":{"type":"string","example":"stream lost","isRequired":true,"uniqueKey":"oneOf.6.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.6.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.6.cause","typeLabel":"string"}},"uniqueKey":"oneOf.6","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"Unauthorized","isRequired":true,"uniqueKey":"oneOf.7.error","typeLabel":"string"},"code":{"type":"number","example":1000,"isRequired":true,"uniqueKey":"oneOf.7.code","typeLabel":"number"},"msg":{"type":"string","example":"Unauthorized access","isRequired":true,"uniqueKey":"oneOf.7.msg","typeLabel":"string"},"status":{"type":"number","example":401,"isRequired":true,"uniqueKey":"oneOf.7.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.7.cause","typeLabel":"string"}},"uniqueKey":"oneOf.7","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"PermissionDenied","isRequired":true,"uniqueKey":"oneOf.8.error","typeLabel":"string"},"code":{"type":"number","example":1001,"isRequired":true,"uniqueKey":"oneOf.8.code","typeLabel":"number"},"msg":{"type":"string","example":"Permission denied","isRequired":true,"uniqueKey":"oneOf.8.msg","typeLabel":"string"},"status":{"type":"number","example":403,"isRequired":true,"uniqueKey":"oneOf.8.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.8.cause","typeLabel":"string"}},"uniqueKey":"oneOf.8","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"SessionExpired","isRequired":true,"uniqueKey":"oneOf.9.error","typeLabel":"string"},"code":{"type":"number","example":1002,"isRequired":true,"uniqueKey":"oneOf.9.code","typeLabel":"number"},"msg":{"type":"string","example":"Session expired","isRequired":true,"uniqueKey":"oneOf.9.msg","typeLabel":"string"},"status":{"type":"number","example":403,"isRequired":true,"uniqueKey":"oneOf.9.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.9.cause","typeLabel":"string"}},"uniqueKey":"oneOf.9","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"MethodNotFound","isRequired":true,"uniqueKey":"oneOf.10.error","typeLabel":"string"},"code":{"type":"number","example":1003,"isRequired":true,"uniqueKey":"oneOf.10.code","typeLabel":"number"},"msg":{"type":"string","example":"Method not found","isRequired":true,"uniqueKey":"oneOf.10.msg","typeLabel":"string"},"status":{"type":"number","example":404,"isRequired":true,"uniqueKey":"oneOf.10.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.10.cause","typeLabel":"string"}},"uniqueKey":"oneOf.10","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"RequestConflict","isRequired":true,"uniqueKey":"oneOf.11.error","typeLabel":"string"},"code":{"type":"number","example":1004,"isRequired":true,"uniqueKey":"oneOf.11.code","typeLabel":"number"},"msg":{"type":"string","example":"Conflict with target resource","isRequired":true,"uniqueKey":"oneOf.11.msg","typeLabel":"string"},"status":{"type":"number","example":409,"isRequired":true,"uniqueKey":"oneOf.11.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.11.cause","typeLabel":"string"}},"uniqueKey":"oneOf.11","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"Geoblocked","isRequired":true,"uniqueKey":"oneOf.12.error","typeLabel":"string"},"code":{"type":"number","example":1006,"isRequired":true,"uniqueKey":"oneOf.12.code","typeLabel":"number"},"msg":{"type":"string","example":"Geoblocked region","isRequired":true,"uniqueKey":"oneOf.12.msg","typeLabel":"string"},"status":{"type":"number","example":451,"isRequired":true,"uniqueKey":"oneOf.12.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.12.cause","typeLabel":"string"}},"uniqueKey":"oneOf.12","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"Timeout","isRequired":true,"uniqueKey":"oneOf.13.error","typeLabel":"string"},"code":{"type":"number","example":2000,"isRequired":true,"uniqueKey":"oneOf.13.code","typeLabel":"number"},"msg":{"type":"string","example":"Request timed out","isRequired":true,"uniqueKey":"oneOf.13.msg","typeLabel":"string"},"status":{"type":"number","example":408,"isRequired":true,"uniqueKey":"oneOf.13.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.13.cause","typeLabel":"string"}},"uniqueKey":"oneOf.13","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"InvalidArgument","isRequired":true,"uniqueKey":"oneOf.14.error","typeLabel":"string"},"code":{"type":"number","example":2001,"isRequired":true,"uniqueKey":"oneOf.14.code","typeLabel":"number"},"msg":{"type":"string","example":"Invalid argument","isRequired":true,"uniqueKey":"oneOf.14.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.14.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.14.cause","typeLabel":"string"}},"uniqueKey":"oneOf.14","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"RequiredArgument","isRequired":true,"uniqueKey":"oneOf.15.error","typeLabel":"string"},"code":{"type":"number","example":2002,"isRequired":true,"uniqueKey":"oneOf.15.code","typeLabel":"number"},"msg":{"type":"string","example":"Required argument missing","isRequired":true,"uniqueKey":"oneOf.15.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.15.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.15.cause","typeLabel":"string"}},"uniqueKey":"oneOf.15","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"QueryFailed","isRequired":true,"uniqueKey":"oneOf.16.error","typeLabel":"string"},"code":{"type":"number","example":2003,"isRequired":true,"uniqueKey":"oneOf.16.code","typeLabel":"number"},"msg":{"type":"string","example":"Query failed","isRequired":true,"uniqueKey":"oneOf.16.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.16.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.16.cause","typeLabel":"string"}},"uniqueKey":"oneOf.16","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"ValidationFailed","isRequired":true,"uniqueKey":"oneOf.17.error","typeLabel":"string"},"code":{"type":"number","example":2004,"isRequired":true,"uniqueKey":"oneOf.17.code","typeLabel":"number"},"msg":{"type":"string","example":"Validation failed","isRequired":true,"uniqueKey":"oneOf.17.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.17.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.17.cause","typeLabel":"string"}},"uniqueKey":"oneOf.17","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"RateLimited","isRequired":true,"uniqueKey":"oneOf.18.error","typeLabel":"string"},"code":{"type":"number","example":2005,"isRequired":true,"uniqueKey":"oneOf.18.code","typeLabel":"number"},"msg":{"type":"string","example":"Rate limited","isRequired":true,"uniqueKey":"oneOf.18.msg","typeLabel":"string"},"status":{"type":"number","example":429,"isRequired":true,"uniqueKey":"oneOf.18.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.18.cause","typeLabel":"string"}},"uniqueKey":"oneOf.18","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"NotFound","isRequired":true,"uniqueKey":"oneOf.19.error","typeLabel":"string"},"code":{"type":"number","example":3000,"isRequired":true,"uniqueKey":"oneOf.19.code","typeLabel":"number"},"msg":{"type":"string","example":"Resource not found","isRequired":true,"uniqueKey":"oneOf.19.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.19.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.19.cause","typeLabel":"string"}},"uniqueKey":"oneOf.19","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"ProjectNotFound","isRequired":true,"uniqueKey":"oneOf.20.error","typeLabel":"string"},"code":{"type":"number","example":3002,"isRequired":true,"uniqueKey":"oneOf.20.code","typeLabel":"number"},"msg":{"type":"string","example":"Project not found","isRequired":true,"uniqueKey":"oneOf.20.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.20.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.20.cause","typeLabel":"string"}},"uniqueKey":"oneOf.20","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"ChainNotFound","isRequired":true,"uniqueKey":"oneOf.21.error","typeLabel":"string"},"code":{"type":"number","example":3003,"isRequired":true,"uniqueKey":"oneOf.21.code","typeLabel":"number"},"msg":{"type":"string","example":"Chain not found","isRequired":true,"uniqueKey":"oneOf.21.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.21.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.21.cause","typeLabel":"string"}},"uniqueKey":"oneOf.21","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"TokenDirectoryDisabled","isRequired":true,"uniqueKey":"oneOf.22.error","typeLabel":"string"},"code":{"type":"number","example":4001,"isRequired":true,"uniqueKey":"oneOf.22.code","typeLabel":"number"},"msg":{"type":"string","example":"Token Directory is disabled","isRequired":true,"uniqueKey":"oneOf.22.msg","typeLabel":"string"},"status":{"type":"number","example":400,"isRequired":true,"uniqueKey":"oneOf.22.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.22.cause","typeLabel":"string"}},"uniqueKey":"oneOf.22","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"WebrpcEndpoint","code":0,"msg":"endpoint error","status":400,"cause":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"5218811f-da9c-430d-b73c-7ce4296d16bd":{"description":"Server error","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcBadResponse","isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"string"},"code":{"type":"number","example":-5,"isRequired":true,"uniqueKey":"oneOf.0.code","typeLabel":"number"},"msg":{"type":"string","example":"bad response","isRequired":true,"uniqueKey":"oneOf.0.msg","typeLabel":"string"},"status":{"type":"number","example":500,"isRequired":true,"uniqueKey":"oneOf.0.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.0.cause","typeLabel":"string"}},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcServerPanic","isRequired":true,"uniqueKey":"oneOf.1.error","typeLabel":"string"},"code":{"type":"number","example":-6,"isRequired":true,"uniqueKey":"oneOf.1.code","typeLabel":"number"},"msg":{"type":"string","example":"server panic","isRequired":true,"uniqueKey":"oneOf.1.msg","typeLabel":"string"},"status":{"type":"number","example":500,"isRequired":true,"uniqueKey":"oneOf.1.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.1.cause","typeLabel":"string"}},"uniqueKey":"oneOf.1","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"WebrpcInternalError","isRequired":true,"uniqueKey":"oneOf.2.error","typeLabel":"string"},"code":{"type":"number","example":-7,"isRequired":true,"uniqueKey":"oneOf.2.code","typeLabel":"number"},"msg":{"type":"string","example":"internal error","isRequired":true,"uniqueKey":"oneOf.2.msg","typeLabel":"string"},"status":{"type":"number","example":500,"isRequired":true,"uniqueKey":"oneOf.2.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.2.cause","typeLabel":"string"}},"uniqueKey":"oneOf.2","typeLabel":"object"},{"type":"object","required":["error","code","msg","status"],"properties":{"error":{"type":"string","example":"Fail","isRequired":true,"uniqueKey":"oneOf.3.error","typeLabel":"string"},"code":{"type":"number","example":1005,"isRequired":true,"uniqueKey":"oneOf.3.code","typeLabel":"number"},"msg":{"type":"string","example":"Request Failed","isRequired":true,"uniqueKey":"oneOf.3.msg","typeLabel":"string"},"status":{"type":"number","example":500,"isRequired":true,"uniqueKey":"oneOf.3.status","typeLabel":"number"},"cause":{"type":"string","uniqueKey":"oneOf.3.cause","typeLabel":"string"}},"uniqueKey":"oneOf.3","typeLabel":"object"}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"WebrpcBadResponse","code":-5,"msg":"bad response","status":500,"cause":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"f64b7e4b-705e-4113-8047-ddf1c9f4e7a6":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Secret JWT token for authenticating requests obtained from Sequence Builder - should not be exposed publicly.","scopes":["eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY2NvdW50IjoiMHhiZWU3NGU3ZmZkNzdkMThhZDJhOTg2ODEyZGE2MTc5ODk0MDY4ODZjIiwiaWF0IjoxNzQxNjg3NDg4LCJwcm9qZWN0IjoxNjgxNX0.LvTwKf0T6IBK9HuRFboXCNh2YY9d6EwDoQAlGYC80KQ"]}}},"servers":{"4cb4e3d7-54db-4944-a08a-7c558cb23a53":{"url":"https://metadata.sequence.app/","description":"Metadata"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Secret JWT token for authenticating requests obtained from Sequence Builder - should not be exposed publicly.","scopes":["eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY2NvdW50IjoiMHhiZWU3NGU3ZmZkNzdkMThhZDJhOTg2ODEyZGE2MTc5ODk0MDY4ODZjIiwiaWF0IjoxNzQxNjg3NDg4LCJwcm9qZWN0IjoxNjgxNX0.LvTwKf0T6IBK9HuRFboXCNh2YY9d6EwDoQAlGYC80KQ"]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Secret JWT token for authenticating requests obtained from Sequence Builder - should not be exposed publicly.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"api-references/metadata/endpoints/sequence-metadata.json"},"subdomain":"frenglish","siteName":"Sequence Docs","title":"UpdateToken - Sequence Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-references/metadata/endpoints/secret/update-token","matchLevel":0},"ja":{"href":"/ja/api-references/metadata/endpoints/secret/update-token","matchLevel":1},"es":{"href":"/es/api-references/metadata/endpoints/secret/update-token","matchLevel":1}}},"lastModified":"2026-01-07T08:00:48.949Z","originalFileLocation":"api-references/metadata/endpoints/secret/update-token.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"dark\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Sequence Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"UpdateToken - Sequence Docs\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Sequence Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://frenglish.mintlify.site/_mintlify/api/og/v2?division=secret\u0026amp;title=UpdateToken\u0026amp;theme=18334d0526fc2099ea2cc551\u0026amp;signature=3918c24bcf75373b4457c25ee1386b89f0a7961b731dc93f3470d26bddad4532\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"UpdateToken - Sequence Docs\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://frenglish.mintlify.site/_mintlify/api/og/v2?division=secret\u0026amp;title=UpdateToken\u0026amp;theme=18334d0526fc2099ea2cc551\u0026amp;signature=3918c24bcf75373b4457c25ee1386b89f0a7961b731dc93f3470d26bddad4532\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/frenglish/R9VVH0lttj2_vGLm/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Sequence Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#111111\">\u003clink data-mint-head rel=\"canonical\" href=\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-references/metadata/endpoints/secret/update-token.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ja\" href=\"https://frenglish.mintlify.app/ja/api-references/metadata/endpoints/secret/update-token\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"es\" href=\"https://frenglish.mintlify.app/es/api-references/metadata/endpoints/secret/update-token\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://frenglish.mintlify.app/#organization\",\"name\":\"Sequence Docs\",\"url\":\"https://frenglish.mintlify.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/frenglish/jco-kCqEz4S4wsae/logo/sequence-composite-light.svg?fit=max\u0026auto=format\u0026n=jco-kCqEz4S4wsae\u0026q=85\u0026s=3d9f9a9752e8c8dda0d19bb1d835d80d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://frenglish.mintlify.app#website\",\"name\":\"Sequence Docs\",\"url\":\"https://frenglish.mintlify.app\",\"publisher\":{\"@id\":\"https://frenglish.mintlify.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token#webpage\",\"url\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token\",\"name\":\"UpdateToken\",\"dateModified\":\"2026-01-07T08:00:48.949Z\",\"isPartOf\":{\"@id\":\"https://frenglish.mintlify.app#website\"},\"breadcrumb\":{\"@id\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Metadata\",\"item\":\"https://frenglish.mintlify.app/api-references/metadata/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Endpoints\",\"item\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/public/directory-get-collections\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"secret\",\"item\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/create-asset\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"UpdateToken\",\"item\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token#apireference\",\"headline\":\"UpdateToken\",\"name\":\"UpdateToken\",\"url\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token\",\"mainEntityOfPage\":{\"@id\":\"https://frenglish.mintlify.app/api-references/metadata/endpoints/secret/update-token#webpage\"},\"dateModified\":\"2026-01-07T08:00:48.949Z\",\"publisher\":{\"@id\":\"https://frenglish.mintlify.app/#organization\"},\"isPartOf\":{\"@id\":\"https://frenglish.mintlify.app#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Sequence Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Sequence Docs","nav":{"global":{"anchors":[{"anchor":"Interactive Demo","icon":"wrench","href":"https://blueprints.sequence-demos.xyz/"},{"anchor":"Supported Chains","icon":"heart-pulse","href":"https://status.sequence.info/"},{"anchor":"Changelog","icon":"map","href":"https://0xsequence.featurebase.app/changelog"}]},"languages":[{"language":"en","tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home"}]},{"tab":"Solutions","pages":[{"title":"Solutions","href":"/solutions/overview"}]},{"tab":"SDKs","pages":[{"title":"SDKs","href":"/sdk/overview"}]},{"tab":"APIs","groups":[{"group":" ","pages":[{"title":"Overview","href":"/api-references/overview"}]},{"group":"Indexer","pages":[{"title":"Indexer","sidebarTitle":"Overview","href":"/api-references/indexer/overview"},{"title":"Indexer Installation","sidebarTitle":"Installation","href":"/api-references/indexer/installation"},{"group":"Endpoints","pages":[{"group":"public","pages":[{"title":"GetNativeTokenBalance","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetNativeTokenBalance","href":"/api-references/indexer/endpoints/public/get-native-token-balance"},{"title":"GetTokenBalancesSummary","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetTokenBalancesSummary","href":"/api-references/indexer/endpoints/public/get-token-balances-summary"},{"title":"GetTokenBalancesDetails","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetTokenBalancesDetails","href":"/api-references/indexer/endpoints/public/get-token-balances-details"},{"title":"GetTokenBalancesByContract","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetTokenBalancesByContract","href":"/api-references/indexer/endpoints/public/get-token-balances-by-contract"},{"title":"GetTokenBalances","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetTokenBalances","href":"/api-references/indexer/endpoints/public/get-token-balances"},{"title":"GetTokenSupplies","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetTokenSupplies","href":"/api-references/indexer/endpoints/public/get-token-supplies"},{"title":"GetTokenSuppliesMap","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetTokenSuppliesMap","href":"/api-references/indexer/endpoints/public/get-token-supplies-map"},{"title":"GetBalanceUpdates","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetBalanceUpdates","href":"/api-references/indexer/endpoints/public/get-balance-updates"},{"title":"GetTransactionHistory","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetTransactionHistory","href":"/api-references/indexer/endpoints/public/get-transaction-history"},{"title":"FetchTransactionReceipt","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/FetchTransactionReceipt","href":"/api-references/indexer/endpoints/public/fetch-transaction-receipt"},{"title":"FetchTransactionReceiptWithFilter","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/FetchTransactionReceiptWithFilter","href":"/api-references/indexer/endpoints/public/fetch-transaction-receipt-with-filter"},{"title":"SubscribeReceipts","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/SubscribeReceipts","href":"/api-references/indexer/endpoints/public/subscribe-receipts"},{"title":"SubscribeEvents","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/SubscribeEvents","href":"/api-references/indexer/endpoints/public/subscribe-events"},{"title":"SubscribeBalanceUpdates","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/SubscribeBalanceUpdates","href":"/api-references/indexer/endpoints/public/subscribe-balance-updates"}]},{"group":"secret","pages":[{"title":"GetAllWebhookListeners","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetAllWebhookListeners","href":"/api-references/indexer/endpoints/secret/get-all-webhook-listeners"},{"title":"AddWebhookListener","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/AddWebhookListener","href":"/api-references/indexer/endpoints/secret/add-webhook-listener"},{"title":"UpdateWebhookListener","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/UpdateWebhookListener","href":"/api-references/indexer/endpoints/secret/update-webhook-listener"},{"title":"RemoveWebhookListener","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/RemoveWebhookListener","href":"/api-references/indexer/endpoints/secret/remove-webhook-listener"},{"title":"ToggleWebhookListener","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/ToggleWebhookListener","href":"/api-references/indexer/endpoints/secret/toggle-webhook-listener"},{"title":"PauseAllWebhookListeners","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/PauseAllWebhookListeners","href":"/api-references/indexer/endpoints/secret/pause-all-webhook-listeners"},{"title":"ResumeAllWebhookListeners","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/ResumeAllWebhookListeners","href":"/api-references/indexer/endpoints/secret/resume-all-webhook-listeners"},{"title":"GetWebhookListener","openapi":"api-references/indexer/endpoints/indexer.json post /rpc/Indexer/GetWebhookListener","href":"/api-references/indexer/endpoints/default/get-webhook-listener"}]}]},{"group":"Examples","pages":[{"title":"Tokens API","sidebarTitle":"Fetch Tokens","href":"/api-references/indexer/examples/fetch-tokens"},{"title":"Wallet transaction history","sidebarTitle":"Transaction History","href":"/api-references/indexer/examples/transaction-history"},{"title":"Tokens in a contract","sidebarTitle":"Unique Tokens","href":"/api-references/indexer/examples/unique-tokens"},{"title":"Contract token history","sidebarTitle":"Transaction History Token","href":"/api-references/indexer/examples/transation-history-token-contract"},{"title":"Native network balances (ie. ETH, MATIC, etc.)","sidebarTitle":"Native Network Balance","href":"/api-references/indexer/examples/native-network-balance"},{"title":"Metadata Tips \u0026 Notes on Spam","sidebarTitle":"Metadata Tips","href":"/api-references/indexer/examples/metadata-tips"},{"title":"Webhooks","sidebarTitle":"Webhooks","href":"/api-references/indexer/examples/webhook-listener"},{"title":"Subscriptions","sidebarTitle":"Subscriptions","href":"/api-references/indexer/examples/subscriptions"}]}]},{"group":"Indexer Gateway","pages":[{"title":"Sequence Indexer Gateway","href":"/api-references/indexer-gateway/overview"},{"title":"Sequence Indexer Gateway API Installation","href":"/api-references/indexer-gateway/installation"},{"group":"Examples","pages":[{"title":"Sequence Indexer Gateway API - Fetch ERC20, ERC721, and ERC1155 Tokens and Metadata","href":"/api-references/indexer-gateway/examples/get-token-balances"},{"title":"Fetch Native Network Balance from all chains","href":"/api-references/indexer-gateway/examples/get-native-token-balances"},{"title":"Fetch balance updates from specific contracts","href":"/api-references/indexer-gateway/examples/get-balance-updates"},{"title":"Fetch balances on all networks","href":"/api-references/indexer-gateway/examples/get-token-balances-details"},{"title":"Fetch token balances from specific contracts across all networks.","href":"/api-references/indexer-gateway/examples/get-token-balances-by-contract"}]}]},{"group":"Analytics","pages":[{"title":"Analytics","sidebarTitle":"Overview","href":"/api-references/analytics/overview"},{"group":"Endpoints","pages":[{"group":"secret","pages":[{"title":"AverageDAU","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/AverageDAU","href":"/api-references/analytics/endpoints/secret/average-d-a-u"},{"title":"AverageD1Retention","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/AverageD1Retention","href":"/api-references/analytics/endpoints/secret/average-d1-retention"},{"title":"AverageD14Retention","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/AverageD14Retention","href":"/api-references/analytics/endpoints/secret/average-d14-retention"},{"title":"AverageD28Retention","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/AverageD28Retention","href":"/api-references/analytics/endpoints/secret/average-d28-retention"},{"title":"AverageD3Retention","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/AverageD3Retention","href":"/api-references/analytics/endpoints/secret/average-d3-retention"},{"title":"AverageD7Retention","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/AverageD7Retention","href":"/api-references/analytics/endpoints/secret/average-d7-retention"},{"title":"AverageStickiness","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/AverageStickiness","href":"/api-references/analytics/endpoints/secret/average-stickiness"},{"title":"ComputeByService","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/ComputeByService","href":"/api-references/analytics/endpoints/secret/compute-by-service"},{"title":"D1RetentionByCohort","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/D1RetentionByCohort","href":"/api-references/analytics/endpoints/secret/d1-retention-by-cohort"},{"title":"D14RetentionByCohort","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/D14RetentionByCohort","href":"/api-references/analytics/endpoints/secret/d14-retention-by-cohort"},{"title":"D28RetentionByCohort","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/D28RetentionByCohort","href":"/api-references/analytics/endpoints/secret/d28-retention-by-cohort"},{"title":"D3RetentionByCohort","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/D3RetentionByCohort","href":"/api-references/analytics/endpoints/secret/d3-retention-by-cohort"},{"title":"D7RetentionByCohort","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/D7RetentionByCohort","href":"/api-references/analytics/endpoints/secret/d7-retention-by-cohort"},{"title":"DailyComputeByType","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/DailyComputeByType","href":"/api-references/analytics/endpoints/secret/daily-compute-by-type"},{"title":"DailyNewWallets","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/DailyNewWallets","href":"/api-references/analytics/endpoints/secret/daily-new-wallets"},{"title":"DailyWalletTxnConversionRate","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/DailyWalletTxnConversionRate","href":"/api-references/analytics/endpoints/secret/daily-wallet-txn-conversion-rate"},{"title":"MarketTxnEventDaily","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MarketTxnEventDaily","href":"/api-references/analytics/endpoints/secret/market-txn-event-daily"},{"title":"MarketTxnEventMonthly","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MarketTxnEventMonthly","href":"/api-references/analytics/endpoints/secret/market-txn-event-monthly"},{"title":"MarketTxnEventTotal","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MarketTxnEventTotal","href":"/api-references/analytics/endpoints/secret/market-txn-event-total"},{"title":"MarketWalletsDaily","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MarketWalletsDaily","href":"/api-references/analytics/endpoints/secret/market-wallets-daily"},{"title":"MarketWalletsMonthly","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MarketWalletsMonthly","href":"/api-references/analytics/endpoints/secret/market-wallets-monthly"},{"title":"MarketWalletsTotal","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MarketWalletsTotal","href":"/api-references/analytics/endpoints/secret/market-wallets-total"},{"title":"MonthlyActiveWalletsBySegment","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MonthlyActiveWalletsBySegment","href":"/api-references/analytics/endpoints/secret/monthly-active-wallets-by-segment"},{"title":"MonthlyNewWallets","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MonthlyNewWallets","href":"/api-references/analytics/endpoints/secret/monthly-new-wallets"},{"title":"MonthlyTransactingWalletsBySegment","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MonthlyTransactingWalletsBySegment","href":"/api-references/analytics/endpoints/secret/monthly-transacting-wallets-by-segment"},{"title":"MonthlyWalletTxnConversionRate","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/MonthlyWalletTxnConversionRate","href":"/api-references/analytics/endpoints/secret/monthly-wallet-txn-conversion-rate"},{"title":"RollingStickiness","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/RollingStickiness","href":"/api-references/analytics/endpoints/secret/rolling-stickiness"},{"title":"TotalCompute","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/TotalCompute","href":"/api-references/analytics/endpoints/secret/total-compute"},{"title":"TotalNewWallets","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/TotalNewWallets","href":"/api-references/analytics/endpoints/secret/total-new-wallets"},{"title":"TotalWalletTxnConversionRate","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/TotalWalletTxnConversionRate","href":"/api-references/analytics/endpoints/secret/total-wallet-txn-conversion-rate"},{"title":"WalletsByBrowser","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsByBrowser","href":"/api-references/analytics/endpoints/secret/wallets-by-browser"},{"title":"WalletsByCountry","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsByCountry","href":"/api-references/analytics/endpoints/secret/wallets-by-country"},{"title":"WalletsByDevice","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsByDevice","href":"/api-references/analytics/endpoints/secret/wallets-by-device"},{"title":"WalletsByOS","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsByOS","href":"/api-references/analytics/endpoints/secret/wallets-by-o-s"},{"title":"WalletsDaily","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsDaily","href":"/api-references/analytics/endpoints/secret/wallets-daily"},{"title":"WalletsMonthly","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsMonthly","href":"/api-references/analytics/endpoints/secret/wallets-monthly"},{"title":"WalletsTotal","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsTotal","href":"/api-references/analytics/endpoints/secret/wallets-total"},{"title":"WalletsTxnSentDaily","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsTxnSentDaily","href":"/api-references/analytics/endpoints/secret/wallets-txn-sent-daily"},{"title":"WalletsTxnSentMonthly","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsTxnSentMonthly","href":"/api-references/analytics/endpoints/secret/wallets-txn-sent-monthly"},{"title":"WalletsTxnSentTotal","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WalletsTxnSentTotal","href":"/api-references/analytics/endpoints/secret/wallets-txn-sent-total"},{"title":"WeeklyActiveWallets","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/WeeklyActiveWallets","href":"/api-references/analytics/endpoints/secret/weekly-active-wallets"}]},{"group":"default","pages":[{"title":"DailyComputeByService","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/DailyComputeByService","href":"/api-references/analytics/endpoints/default/daily-compute-by-service"},{"title":"GetOrderbookCollections","openapi":"api-references/analytics/endpoints/analytics-api.json post /rpc/Analytics/GetOrderbookCollections","href":"/api-references/analytics/endpoints/default/get-orderbook-collections"}]}]},{"group":"Examples","pages":[{"title":"Wallet Analytics Examples","sidebarTitle":"Wallets","href":"/api-references/analytics/examples/wallets"},{"title":"Marketplace Analytics Examples","sidebarTitle":"Marketplaces","href":"/api-references/analytics/examples/marketplace"}]}]},{"group":"Metadata","pages":[{"title":"Metadata","sidebarTitle":"Overview","href":"/api-references/metadata/overview"},{"group":"Endpoints","pages":[{"group":"public","pages":[{"title":"DirectoryGetCollections","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/DirectoryGetCollections","href":"/api-references/metadata/endpoints/public/directory-get-collections"},{"title":"DirectoryGetNetworks","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/DirectoryGetNetworks","href":"/api-references/metadata/endpoints/public/directory-get-networks"},{"title":"EnqueueTokensForRefresh","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/EnqueueTokensForRefresh","href":"/api-references/metadata/endpoints/public/enqueue-tokens-for-refresh"},{"title":"GetContractInfoBatch","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/GetContractInfoBatch","href":"/api-references/metadata/endpoints/public/get-contract-info-batch"},{"title":"GetContractInfo","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/GetContractInfo","href":"/api-references/metadata/endpoints/public/get-contract-info"},{"title":"GetTokenMetadataBatch","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/GetTokenMetadataBatch","href":"/api-references/metadata/endpoints/public/get-token-metadata-batch"},{"title":"GetTokenMetadata","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/GetTokenMetadata","href":"/api-references/metadata/endpoints/public/get-token-metadata"},{"title":"RefreshTokenMetadata","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/RefreshTokenMetadata","href":"/api-references/metadata/endpoints/public/refresh-token-metadata"},{"title":"SearchContractInfoBatch","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/SearchContractInfoBatch","href":"/api-references/metadata/endpoints/public/search-contract-info-batch"},{"title":"SearchContractInfo","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/SearchContractInfo","href":"/api-references/metadata/endpoints/public/search-contract-info"},{"title":"SearchTokenIDs","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/SearchTokenIDs","href":"/api-references/metadata/endpoints/public/search-token-i-ds"},{"title":"SearchTokenMetadata","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/SearchTokenMetadata","href":"/api-references/metadata/endpoints/public/search-token-metadata"},{"title":"SearchTokens","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/SearchTokens","href":"/api-references/metadata/endpoints/public/search-tokens"},{"title":"TokenCollectionFilters","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/TokenCollectionFilters","href":"/api-references/metadata/endpoints/public/token-collection-filters"},{"title":"RefreshAllContractTokens","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/RefreshAllContractTokens","href":"/api-references/metadata/endpoints/public/refresh-all-contract-tokens"},{"title":"RefreshContractInfo","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/RefreshContractInfo","href":"/api-references/metadata/endpoints/public/refresh-contract-info"},{"title":"RefreshContractTokens","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/RefreshContractTokens","href":"/api-references/metadata/endpoints/public/refresh-contract-tokens"},{"title":"SearchContracts","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/SearchContracts","href":"/api-references/metadata/endpoints/public/search-contracts"},{"title":"SearchMetadata","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Metadata/SearchMetadata","href":"/api-references/metadata/endpoints/public/search-metadata"}]},{"group":"secret","pages":[{"title":"CreateAsset","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/CreateAsset","href":"/api-references/metadata/endpoints/secret/create-asset"},{"title":"CreateCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/CreateCollection","href":"/api-references/metadata/endpoints/secret/create-collection"},{"title":"CreateContractCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/CreateContractCollection","href":"/api-references/metadata/endpoints/secret/create-contract-collection"},{"title":"CreateToken","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/CreateToken","href":"/api-references/metadata/endpoints/secret/create-token"},{"title":"DeleteAsset","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/DeleteAsset","href":"/api-references/metadata/endpoints/secret/delete-asset"},{"title":"DeleteCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/DeleteCollection","href":"/api-references/metadata/endpoints/secret/delete-collection"},{"title":"DeleteContractCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/DeleteContractCollection","href":"/api-references/metadata/endpoints/secret/delete-contract-collection"},{"title":"DeleteToken","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/DeleteToken","href":"/api-references/metadata/endpoints/secret/delete-token"},{"title":"GetAsset","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/GetAsset","href":"/api-references/metadata/endpoints/secret/get-asset"},{"title":"GetCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/GetCollection","href":"/api-references/metadata/endpoints/secret/get-collection"},{"title":"GetContractCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/GetContractCollection","href":"/api-references/metadata/endpoints/secret/get-contract-collection"},{"title":"GetToken","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/GetToken","href":"/api-references/metadata/endpoints/secret/get-token"},{"title":"ListCollections","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/ListCollections","href":"/api-references/metadata/endpoints/secret/list-collections"},{"title":"ListContractCollections","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/ListContractCollections","href":"/api-references/metadata/endpoints/secret/list-contract-collections"},{"title":"ListTokens","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/ListTokens","href":"/api-references/metadata/endpoints/secret/list-tokens"},{"title":"PublishCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/PublishCollection","href":"/api-references/metadata/endpoints/secret/publish-collection"},{"title":"UnpublishCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/UnpublishCollection","href":"/api-references/metadata/endpoints/secret/unpublish-collection"},{"title":"UpdateAsset","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/UpdateAsset","href":"/api-references/metadata/endpoints/secret/update-asset"},{"title":"UpdateCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/UpdateCollection","href":"/api-references/metadata/endpoints/secret/update-collection"},{"title":"UpdateContractCollection","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/UpdateContractCollection","description":null,"href":"/api-references/metadata/endpoints/secret/update-contract-collection"},{"title":"UpdateToken","openapi":"api-references/metadata/endpoints/sequence-metadata.json post /rpc/Collections/UpdateToken","href":"/api-references/metadata/endpoints/secret/update-token"}]}]},{"group":"Examples","pages":[{"title":"Token Metadata","sidebarTitle":"Token Metadata","description":null,"href":"/api-references/metadata/examples/token-metadata"},{"title":"Contract Metadata","sidebarTitle":"Contract Metadata","href":"/api-references/metadata/examples/contract-metadata"},{"title":"Metadata REST API Reference \u0026 Usage","sidebarTitle":"REST API","href":"/api-references/metadata/examples/rest-api"}]}]},{"group":"Infrastructure","pages":[{"title":"Infrastructure Stack API","sidebarTitle":"Overview","href":"/api-references/infrastructure/overview"},{"group":"Endpoints","pages":[{"title":"GetLinkedWallets","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/GetLinkedWallets","href":"/api-references/infrastructure/endpoints/get-linked-wallets"},{"title":"GetSwapPrice","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/GetSwapPrice","href":"/api-references/infrastructure/endpoints/get-swap-price"},{"title":"GetSwapPrices","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/GetSwapPrices","href":"/api-references/infrastructure/endpoints/get-swap-prices"},{"title":"GetSwapQuote","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/GetSwapQuote","href":"/api-references/infrastructure/endpoints/get-swap-quote"},{"title":"IsValidETHAuthProof","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/IsValidETHAuthProof","href":"/api-references/infrastructure/endpoints/is-valid-e-t-h-auth-proof"},{"title":"IsValidMessageSignature","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/IsValidMessageSignature","href":"/api-references/infrastructure/endpoints/is-valid-message-signature"},{"title":"IsValidSignature","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/IsValidSignature","href":"/api-references/infrastructure/endpoints/is-valid-signature"},{"title":"IsValidTypedDataSignature","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/IsValidTypedDataSignature","href":"/api-references/infrastructure/endpoints/is-valid-typed-data-signature"},{"title":"LinkWallet","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/LinkWallet","href":"/api-references/infrastructure/endpoints/link-wallet"},{"title":"RemoveLinkedWallet","openapi":"api-references/infrastructure/endpoints/sequence-api.json post /rpc/API/RemoveLinkedWallet","href":"/api-references/infrastructure/endpoints/remove-linked-wallet"}]}]},{"group":"Builder","pages":[{"title":"Sequence Builder API","sidebarTitle":"Overview","href":"/api-references/builder/overview"},{"group":"Endpoints","pages":[{"title":"AddAudienceContacts","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/AddAudienceContacts","href":"/api-references/builder/endpoints/add-audience-contacts"},{"title":"CreateAudience","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/CreateAudience","href":"/api-references/builder/endpoints/create-audience"},{"title":"DeleteAudience","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/DeleteAudience","href":"/api-references/builder/endpoints/delete-audience"},{"title":"GetAudience","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/GetAudience","href":"/api-references/builder/endpoints/get-audience"},{"title":"GetContract","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/GetContract","href":"/api-references/builder/endpoints/get-contract"},{"title":"ListAudiences","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/ListAudiences","href":"/api-references/builder/endpoints/list-audiences"},{"title":"ListContractSources","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/ListContractSources","href":"/api-references/builder/endpoints/list-contract-sources"},{"title":"ListContracts","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/ListContracts","href":"/api-references/builder/endpoints/list-contracts"},{"title":"RemoveAudienceContacts","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/RemoveAudienceContacts","href":"/api-references/builder/endpoints/remove-audience-contacts"},{"title":"UpdateAudience","openapi":"api-references/builder/endpoints/builder-api.json post /rpc/Builder/UpdateAudience","href":"/api-references/builder/endpoints/update-audience"}]}]},{"group":"Marketplace","pages":[{"title":"Marketplace API","sidebarTitle":"Overview","href":"/api-references/marketplace/overview"},{"group":"Endpoints","pages":[{"title":"CheckoutOptionsMarketplace","openapi":"api-references/marketplace/endpoints/sequence-marketplace
[...]
